{combine_css path=$GUESTBOOK_PATH|cat:'template/style.css'}

{footer_script}
$('input[name="comments_validation"]').on('change', function() {
    $('#email_admin_on_comment_validation').toggle($(this).is(':checked'));
})
.trigger('change');

$('input[name="guest_can_view"]').on('change', function() {
    $('#guest_can_add').toggle($(this).is(':checked'));
})
.trigger('change');
{/footer_script}


<div class="titrePage">
  <h2>GuestBook</h2>
</div>

<form method="post" action="" class="properties">
<fieldset id="commentsConf">
  <legend></legend>
  <ul>
    <li>
      <label>
        <b>{'Number of comments per page'|translate}</b>
        <input type="text" size="3" maxlength="4" name="nb_comment_page" id="nb_comment_page" value="{$nb_comment_page}">
      </label>
    </li>

    <li>
      <label>
        <input type="checkbox" name="activate_rating" {if ($activate_rating)}checked="checked"{/if}>
        <b>{'Activate rating'|translate}</b>
      </label>
    </li>

    <li>
      <label>
        <input type="checkbox" name="comments_validation" {if ($comments_validation)}checked="checked"{/if}>
        <b>{'Validation'|translate}</b>
      </label>
    </li>

    <li>
      <strong>{'Notify administrators when a comment is'|translate}</strong>

      <label>
        <input type="checkbox" name="email_admin_on_comment" {if ($email_admin_on_comment)}checked="checked"{/if}> {'added'|translate}
      </label>

      <label id="email_admin_on_comment_validation">
        <input type="checkbox" name="email_admin_on_comment_validation" {if ($email_admin_on_comment_validation)}checked="checked"{/if}> {'pending validation'|translate}
      </label>
    </li>
    
    <li>
      <strong>{'Guests (not registered) permissions :'|translate}</strong>

      <label>
        <input type="checkbox" name="guest_can_view" {if ($guest_can_view)}checked="checked"{/if}> {'view comments'|translate}
      </label>

      <label id="guest_can_add">
        <input type="checkbox" name="guest_can_add" {if ($guest_can_add)}checked="checked"{/if}> {'add comment'|translate}
      </label>
    </li>
  </ul>
</fieldset>

  <p class="formButtons">
		<input type="submit" name="submit" value="{'Save Settings'|translate}">
	</p>
</form>